import dayjs, { ConfigType, QUnitType, OpUnitType } from 'dayjs';
export { default as dayjs } from 'dayjs';

type CompareDateConfig = {
    unit?: QUnitType | OpUnitType;
    float?: boolean;
};
declare function formatDate(date: ConfigType, format?: string): string;
declare function formatDateToNow(date: ConfigType): string;
declare function parseUnix(time: number): dayjs.Dayjs;
declare function getUnixTime(date: Date): number;
declare function formatDateUnixTime(seconds: number, format?: string): string;
declare function diffDate(toDate: Date, fromDate: Date, config?: CompareDateConfig): number;
declare function addNewDate(date: Date, addDays?: number): Date;

export { addNewDate, diffDate, formatDate, formatDateToNow, formatDateUnixTime, getUnixTime, parseUnix };
